// pages/card/cardDetail.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    token: app.globalData.token,
    serviceUrl: app.baseUrls.serviceUrl,
    baseImgUrl: app.baseUrls.baseImgUrl,
    cardType: '',
    realName: '张三',
    intro: '简介简介简介简介简介简介简介简介简介',
    phone: '0471-3360077',
    address: '呼和浩特市新城区',
    qrCode: '',
    photo: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData({
      cardType: options.type
    })
  },
  // 上传照片
  choosePhoto: function () {
    var self = this
    wx.chooseImage({
      count: 1,
      sourceType: ['album', 'camera'],
      success: function (res) {
        wx.showToast({
          title: '上传中',
          icon: 'loading'
        })
        var path = res.tempFiles[0].path;
        app.restAjax.file(app.restAjax.path(app.apis.uploadImg, [app.baseUrls.serviceUrl]), path, 'image', {
          headers: {
            token: app.globalData.token
          }
        }, function (code, data) {
          if (code == '200') {
            var id = JSON.parse(data).data
            self.setData({
              photo: id
            })
            wx.hideToast()
          }
        }, function (code, data) {
          console.log(data)
        })
      }
    })
  },
  // 上传二维码
  chooseQrCode: function () {
    var self = this
    wx.chooseImage({
      count: 1,
      sourceType: ['album', 'camera'],
      success: function (res) {
        wx.showToast({
          title: '上传中',
          icon: 'loading'
        })
        var path = res.tempFiles[0].path;
        app.restAjax.file(app.restAjax.path(app.apis.uploadImg, [app.baseUrls.serviceUrl]), path, 'image', {
          headers: {
            token: app.globalData.token
          }
        }, function (code, data) {
          if (code == '200') {
            var id = JSON.parse(data).data
            self.setData({
              qrCode: id
            })
            wx.hideToast()
          }
        }, function (code, data) {
          console.log(data)
        })
      }
    })
  },
  // 提交创建
  submitCreate: function () {
    var self = this
    var info = {
      address: self.data.address,
      job: self.data.intro,
      realName: self.data.realName,
      photo: self.data.photo,
      qrCode: self.data.qrCode,
      templateId: self.data.cardType
    }
    app.restAjax.post(app.restAjax.path(app.apis.submitCreateCard, [app.baseUrls.requestUrl]), info, {
      headers: {
        token: self.data.token
      }
    }, function (code, data) {
      if (code == '200') {
        wx.showToast({
          title: '创建成功！',
        })
      }
    }, function (code, data) {
      console.log(data)
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})