// pages/neighbor/help/helpDetail.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    sourceUrl: app.baseUrls.sourceUrl,
    token: app.globalData.token,
    neighborId: '',
    helpDetail: {},
    reply: '',
    userIcon: '',
    userName: '',
    replyList: [],
    serviceUrl: app.baseUrls.serviceUrl,
    baseImgUrl: app.baseUrls.baseImgUrl,
    isGetFocus: false,
    placeholder: '写评论',
    replyTo: '',
    replyUserName: '',
    childNeighborId: '',
    isLoading: false
  },
  getHelpDetail: function () {
    var self = this
    app.restAjax.get(app.restAjax.path(app.apis.getHelpDetail, [app.baseUrls.requestUrl, self.data.neighborId]), {}, {
      headers: {
        token: self.data.token
      }
    }, function (code, data) {
      if (data.photo) {
        data.photo = data.photo.split(',')
      }
      self.setData({
        helpDetail: data
      })
    }, function (code, data) {
      console.log(data)
    })
  },
  doReplyHelp: function () {
    var self = this
    if (!self.data.isLoading) {
      var info = {
        content: self.data.reply,
        headPortrait: self.data.userIcon,
        neighborId: self.data.neighborId,
        userName: self.data.userName
      }
      self.setData({
        isLoading: true
      })
      app.restAjax.post(app.restAjax.path(app.apis.doReplyHelp, [app.baseUrls.requestUrl]), info, {
        headers: {
          token: self.data.token
        }
      }, function (code, data) {
        if (code == '200') {
          self.setData({
            isLoading: false
          })
          wx.showToast({
            title: '回复成功！',
            icon: 'success'
          })
          self.getRelyList()
          self.setData({
            reply: ''
          })
        }
      }, function (code, data) {
        console.log(data)
        self.setData({
          isLoading: false
        })
      })
    }
  },
  getRelyList: function () {
    var self = this
    app.restAjax.get(app.restAjax.path(app.apis.getReplyList, [app.baseUrls.requestUrl]), {
      neighborId: self.data.neighborId
    }, {
      headers: {
        token: self.data.token
      }
    }, function (code, data) {
      self.setData({
        replyList: data
      })
      console.log(data)
    }, function (code, data) {
      console.log(data)
    })
  },
  viewImg: function (e) {
    var id = this.data.serviceUrl + this.data.baseImgUrl + e.currentTarget.dataset.id
    var arr = []
    for (let i = 0; i < this.data.helpDetail.photo.length; i++) {
      var video = this.data.serviceUrl + this.data.baseImgUrl + this.data.helpDetail.photo[i]
      arr.push(video)
    }
    wx.previewImage({
      current: id,
      urls: arr,
    })
  },
  // 输入评论
  getFocus: function (e) {
    var user = e.currentTarget.dataset.user
    var replyTo = e.currentTarget.dataset.id
    var name = e.currentTarget.dataset.name
    var neighborId = e.currentTarget.dataset.neighbor
    console.log(neighborId)
    this.setData({
      isGetFocus: true,
      placeholder: '回复' + user + ':',
      replyTo: replyTo,
      replyUserName: name,
      childNeighborId: neighborId
    })
  },
  // 输入框失去焦点判断文字
  inputBlur: function () {
    if (!this.data.reply) {
      this.setData({
        placeholder: '讨论一下',
        isGetFocus: false
      })
    }
  },
  // 确认回复
  doReply: function () {
    if (!this.data.replyTo) {
      this.doReplyHelp()
    } else {
      this.doReplyReply()
    }
  },
  // 回复
  doReplyReply: function () {
    var self = this
    if (!self.data.isLoading) {
      var info = {
        content: self.data.reply,
        headPortrait: self.data.userIcon,
        userName: self.data.userName,
        // commentId: self.data.replyTo,
        replyCommentId: self.data.replyTo,
        replyUserName: self.data.replyUserName,
        neighborId: self.data.childNeighborId,
        replyNeighborCommentId: self.data.replyTo,
      }
      self.setData({
        isLoading: true
      })
      app.restAjax.post(app.restAjax.path(app.apis.doReplyHelp, [app.baseUrls.requestUrl]), info, {
        headers: {
          token: self.data.token
        }
      }, function (code, data) {
        if (code == '200') {
          self.setData({
            isLoading: false
          })
          wx.showToast({
            title: '评论成功！',
            icon: 'success'
          })
          self.getRelyList()
          self.setData({
            reply: '',
            replyTo: '',
            replyUserName: '',
            placeholder: '讨论一下'
          })
        }
      }, function (code, data) {
        console.log(data)
        self.setData({
          isLoading: false
        })
      })
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      neighborId: options.neighborId,
      userIcon: wx.getStorageSync('userIcon'),
      userName: wx.getStorageSync('name')
    })
    this.getHelpDetail()
    this.getRelyList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})