// pages/neighbor/help/helpList.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    token: app.globalData.token,
    helpList: [],
    page: {
      page: 1,
      rows: 10
    },
    haveMore: true,
    serviceUrl: app.baseUrls.serviceUrl,
    baseImgUrl: app.baseUrls.baseImgUrl,
  },
  getHelpList: function () {
    var self = this
    app.restAjax.get(app.restAjax.path(app.apis.getHelpList, [app.baseUrls.requestUrl]), self.data.page, {
      headers: {
        token: self.data.token
      }
    }, function (code, data) {
      for (let i = 0; i < data.rows.length; i++) {
        if (data.rows[i].photo) {
          data.rows[i].photo = data.rows[i].photo.split(',')
        }
      }
      if (self.data.page.page == 1) {
        self.setData({
          helpList: data.rows
        })
      } else {
        if (data.rows.length > 0) {
          var arr = self.data.helpList
          for (let i = 0; i < data.rows.length; i++) {
            arr.push(data.rows[i])
          }
          self.setData({
            helpList: arr
          })
        } else {
          wx.showToast({
            title: '暂无更多',
            icon: 'none'
          })
          self.setData({
            ['page.page']: self.data.page.page - 1
          })
        }
      }
      if (data.rows.length < 10) {
        self.setData({
          haveMore: false
        })
      }
    }, function (code, data) {
      console.log(data)
    })
  },
  checkHelpDetail: function (e) {
    var id = e.currentTarget.dataset.id
    wx.navigateTo({
      url: './helpDetail?neighborId=' + id,
    })
  },
  loadMore: function () {
    var self = this
    this.setData({
      ['page.page']: self.data.page.page + 1
    })
    this.getHelpList()
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getHelpList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})