// pages/news/newsList.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    token: app.globalData.token,
    sourceUrl: app.baseUrls.sourceUrl,
    newsType: [],
    curType: '',
    page: {
      page: 1,
      rows: 10,
      newsTypeId: '',
    },
    newsList: [],
    serviceUrl: app.baseUrls.serviceUrl,
    baseImgUrl: app.baseUrls.baseImgUrl,
  },
  // 获取新闻类型
  getNewsType: function () {
    var self = this
    app.restAjax.get(app.restAjax.path(app.apis.getNewsType, [app.baseUrls.requestUrl]), {
      showArea: '6dcbb862-4b48-4dca-aee1-d78fd76adc05'
    }, {
      headers: {
        token: self.data.token
      }
    }, function (code, data) {
      self.setData({
        newsType: data,
        ['page.newsTypeId']: data[0].newsTypeId,
        curType: data[0].newsTypeId
      })
      self.getNewsList()
    }, function (code, data) {
      console.log(data)
    })
  },
  // 切换新闻类型
  changeType: function (e) {
    var id = e.currentTarget.dataset.id
    this.setData({
      curType: id,
      ['page.newsTypeId']: id,
      ['page.page']: 1
    })
    this.getNewsList()
  },
  // 获取新闻列表
  getNewsList: function () {
    var self = this
    app.restAjax.get(app.restAjax.path(app.apis.getNewsList, [app.baseUrls.requestUrl]), self.data.page, {
      headers: {
        token: self.data.token
      }
    }, function (code, data) {
      for (let i = 0; i < data.rows.length; i++) {
        if (data.rows[i].photo) {
          data.rows[i].photo = data.rows[i].photo.split(',')
        }
      }
      if (self.data.page.page == 1) {
        self.setData({
          newsList: data.rows
        })
      } else {
        if (data.rows.length > 0) {
          var arr = self.data.newsList
          for (let i = 0; i < data.rows.length; i++) {
            arr.push(data.rows[i])
          }
          self.setData({
            newsList: arr
          })
        } else {
          wx.showToast({
            title: '暂无更多',
            icon: 'none'
          })
          self.setData({
            ['page.page']: self.data.page.page - 1
          })
        }
      }
      
    }, function (code, data) {
      console.log(data)
    })
  },
  // 查看详情
  checkDetail: function (e) {
    var id = e.currentTarget.dataset.id
    wx.navigateTo({
      url: './newsDetail?newsId=' + id,
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getNewsType()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    var self = this
    this.setData({
      ['page.page']: self.data.page.page + 1
    })
    this.getNewsList()
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})