// pages/talk/talk.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    token: app.globalData.token,
    sourceUrl: app.baseUrls.sourceUrl,
    page: {
      page: 1,
      rows: 5
    },
    talkList: [],
    serviceUrl: app.baseUrls.serviceUrl,
    baseImgUrl: app.baseUrls.baseImgUrl,
  },
  getTalkList: function () {
    var self = this
    app.restAjax.get(app.restAjax.path(app.apis.getTalkList, [app.baseUrls.requestUrl]), self.data.page, {
      headers: {
        token: self.data.token
      }
    }, function (code, data) {
      if (data.rows.length > 0) {
        for (let i = 0; i < data.rows.length; i++) {
          if (data.rows[i].photo) {
            data.rows[i].photo = data.rows[i].photo.split(',')
          }
        }
        if (self.data.page.page == 1) {
          self.setData({
            talkList: data.rows
          })
        } else {
          var arr = self.data.talkList
          for (let i = 0; i < data.rows.length; i++) {
            arr.push(data.rows[i])
          }
          self.setData({
            talkList: arr
          })
        }
        
      } else {
        wx.showToast({
          title: '暂无更多',
          icon: 'none'
        })
      }
      
    }, function (code, data) {
      console.log(data)
    })
  },
  newTalk: function () {
    wx.navigateTo({
      url: './newTalk',
    })
  },
  checkMyTalk: function () {
    wx.navigateTo({
      url: './myTalk',
    })
  },
  checkDetail: function (e) {
    var id = e.currentTarget.dataset.id
    wx.navigateTo({
      url: './talkDetail?trifleMyselfId=' + id,
    })
  },
  clickVideo: function () {
    return
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getTalkList()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    var page = this.data.page.page + 1
    this.setData({
      ['page.page']: page
    })
    this.getTalkList()
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})